package org.slf4j;

public class Logger {
    public static String curly(Object x) {
        String s = x.toString();
        String z = "<";
        for (int i = 0; i < s.length(); i++) {
            char c = s.charAt(i);
            if (c < 32 || c > 126) {
                z += "{" + Integer.toString(c) + "}";
            } else {
                z += c;
            }
        }
        return z+">";
    }

    public void info(Object... args) {
        String msg = "INFO/ ";
        for (Object o : args) {
            msg += " " + curly(o);
        }
        System.err.println(msg);
    }
    public void error(Object... args) {
        String msg = "ERROR/ ";
        for (Object o : args) {
            msg += " " + curly(o);
        }
        System.err.println(msg);
    }
    public void trace(Object... args) {
        if (isTraceEnabled()) {
            String msg = "TRACE/ ";
            for (Object o : args) {
                msg += " " + curly(o);
            }
            System.err.println(msg);
        }
    }
    public boolean isTraceEnabled() {
        return false;
    }
}
